Bug 1731155 - Cloud init template missing snippet compared to Kickstart default user data
Summary: Cloud init template missing snippet compared to Kickstart default user data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.8.0
Assignee: Oleh Fedorenko
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 13:15 UTC by Sanket Jagtap
Modified: 2020-10-27 12:59 UTC (History)
2 users (show)

Fixed In Version: foreman-2.1.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:58:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
kickstart userdata template (2.20 KB, text/plain)
2019-07-18 13:15 UTC, Sanket Jagtap
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29141 0 Normal Closed Cloud init template missing snippet compared to Kickstart default user data 2020-10-28 17:17:59 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 12:59:06 UTC

Description Sanket Jagtap 2019-07-18 13:15:03 UTC
Created attachment 1591760 [details]
kickstart userdata template

Description of problem:
https://bugzilla.redhat.com/show_bug.cgi?id=1713103 introduces new type of cloud init template, responsible for cloud-init enabled provisioning on Vmware

This new templates have fewer capabilities as compared to Kickstart default user data template. 

This bug tracks all the missing options 

Version-Release number of selected component (if applicable):
Satellite 6.6 snap 11

How reproducible:
Always

Steps to Reproduce:
1. Compare the two template "Kickstart default user data" template and "CloudInit default" template

Missing Capabilities:

1. Http Proxy support
2. fix_hosts snippet
3. ntpdate and ntp sync 
4. remote_execution_ssh_keys snippet
5. freeipa_register snippet
6. blacklist_kernel_modules snippet
7. epel snippet
8. chef_client

Actual results:
The templates is missing some snippets

Expected results:
Template should have similar functionality like the "Kickstart default user data"

Additional info:
Attaching the kickstart default user data template as reference

Comment 2 Oleh Fedorenko 2020-02-24 14:16:55 UTC
Created redmine issue https://projects.theforeman.org/issues/29141 from this bug

Comment 3 Bryan Kearney 2020-02-24 15:01:42 UTC
Upstream bug assigned to ofedoren@redhat.com

Comment 4 Bryan Kearney 2020-02-24 15:01:43 UTC
Upstream bug assigned to ofedoren@redhat.com

Comment 6 Bryan Kearney 2020-04-22 20:17:23 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/29141 has been resolved.

Comment 7 Roman Plevka 2020-09-30 10:51:54 UTC
VERIFIED
on sat6.8.0-17

all mentioned snippets have been added to the cloud-init template

Comment 10 errata-xmlrpc 2020-10-27 12:58:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.